#ifndef MY_STRINGS_H
#define MY_STRINGS_H
#include <strings.h>

struct string{
    char *data;
    size_t size;
};

struct string *my_str_init(const char* s, size_t size);

void my_str_destroy(struct string *str);
void my_str_puts(struct string *str);
struct string *my_str_n_cat(struct string *str1, const char *str2, size_t str2_len);


#endif
